ONVIF::Media::Types::MediaCapabilities(3pm)

NAME
ONVIF::Media::Types::MediaCapabilities

DESCRIPTION
Perl data type class for the XML Schema defined complexType MediaCapabilities from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   XAddr

•   StreamingCapabilities

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::MediaCapabilities
   XAddr =>  $some_value, # anyURI
   StreamingCapabilities =>  { # ONVIF::Media::Types::RealTimeStreamingCapabilities
     RTPMulticast =>  $some_value, # boolean
     RTP_TCP =>  $some_value, # boolean
     RTP_RTSP_TCP =>  $some_value, # boolean
     Extension =>  { # ONVIF::Media::Types::RealTimeStreamingCapabilitiesExtension
     },
   },
   Extension =>  { # ONVIF::Media::Types::MediaCapabilitiesExtension
     ProfileCapabilities =>  { # ONVIF::Media::Types::ProfileCapabilities
       MaximumNumberOfProfiles =>  $some_value, # int
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL